<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net6.0-windows</TargetFramework>
		<RootNamespace>WK5_Blazor</RootNamespace>
		<LangVersion>9.0</LangVersion>
		<Nullable>enable</Nullable>
		<UserSecretsId>e7d8b194-004d-431b-a847-2ac2ec399162</UserSecretsId>
	</PropertyGroup>

	<Target Name="resolveInteropOutputPath" BeforeTargets="ResolveComReferences" Condition="'@(COMReference)'!='' or '@(COMFileReference)'!=''">
		<PropertyGroup Condition=" '$(InteropOutputPath)' == '' ">
			<InteropOutputPath>$(MSBuildProjectDirectory)\$(IntermediateOutputPath)</InteropOutputPath>
		</PropertyGroup>
	</Target>

	<ItemGroup>
		<Compile Remove="Pages\Admin\Hilfsdatenverwaltung\**" />
		<Content Remove="Pages\Admin\Hilfsdatenverwaltung\**" />
		<EmbeddedResource Remove="Pages\Admin\Hilfsdatenverwaltung\**" />
		<None Remove="Pages\Admin\Hilfsdatenverwaltung\**" />
	</ItemGroup>

	<ItemGroup>
	  <Content Remove="Pages\Tools\ChargeUmbuchen.razor" />
	</ItemGroup>

	<ItemGroup>
		<COMReference Include="TAPI3Lib">
			<WrapperTool>tlbimp</WrapperTool>
			<VersionMinor>0</VersionMinor>
			<VersionMajor>1</VersionMajor>
			<Guid>21d6d480-a88b-11d0-83dd-00aa003ccabd</Guid>
			<Lcid>0</Lcid>
			<Isolated>false</Isolated>
			<EmbedInteropTypes>false</EmbedInteropTypes>
		</COMReference>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="BlazorDownloadFile" Version="2.4.0.2" />
		<PackageReference Include="Blazored.FluentValidation" Version="2.0.3" />
		<PackageReference Include="Blazored.SessionStorage" Version="2.2.0" />
		<PackageReference Include="ChartJs.Blazor.Fork" Version="2.0.2" />
		<PackageReference Include="FirebirdSql.Data.FirebirdClient" Version="9.0.1" />
		<PackageReference Include="FluentValidation.DependencyInjectionExtensions" Version="10.4.0" />
		<PackageReference Include="iso8859.blazor.wheel-zoom" Version="1.0.3" />
		<PackageReference Include="Microsoft.AspNetCore.Components.DataAnnotations.Validation" Version="3.2.0-rc1.20223.4" />
		<PackageReference Include="Microsoft.AspNetCore.Components.Web.Extensions" Version="5.0.0-preview9.20513.1" />
		<PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="6.0.4" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="6.0.4" />
		<PackageReference Include="Microsoft.Bcl.AsyncInterfaces" Version="6.0.0" />
		<PackageReference Include="Microsoft.DotNet.PlatformAbstractions" Version="5.0.0-preview.5.20278.1" />
		<PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="6.0.0" />
		<PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="6.0.3" />
		<PackageReference Include="Microsoft.Windows.Compatibility" Version="6.0.0" />
		<PackageReference Include="MySql.Data" Version="8.0.29" />
		<PackageReference Include="PDFtoPrinter" Version="1.4.3" />
		<PackageReference Include="Radzen.Blazor" Version="3.18.7" />
		<PackageReference Include="Serilog.AspNetCore" Version="5.0.0" />
		<PackageReference Include="Serilog.Settings.Configuration" Version="3.3.0" />
		<PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
		<PackageReference Include="System.Linq.Async" Version="6.0.1" />
		<PackageReference Include="TaskScheduler" Version="2.10.1" />
		<PackageReference Include="Toolbelt.Blazor.HotKeys" Version="12.1.1" />
		<PackageReference Include="ZUGFeRD-csharp" Version="7.0.1" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Bootstrap\Bootstrap.csproj" />
		<ProjectReference Include="..\CKEditor\CKEditor.csproj" />
		<ProjectReference Include="..\ecoDMS.Library\ecoDMS.Library.csproj" />
		<ProjectReference Include="..\KarleyLibrary\KarleyLibrary.csproj" />
		<ProjectReference Include="..\SignaturePad\SignaturePad.csproj" />
		<ProjectReference Include="..\WK5.Core\WK5.Core.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Folder Include="Components\Admin\" />
		<Folder Include="Pages\Lager\Abgänge\" />
		<Folder Include="wwwroot\assets\dokumente\" />
		<Folder Include="wwwroot\assets\img\artikel\" />
		<Folder Include="wwwroot\assets\fontawesome\" />
		<Folder Include="wwwroot\assets\NewFolder\" />
	</ItemGroup>

	<ItemGroup>
		<None Include="Pages\Stammdaten\Artikeldaten\ChargeUmbuchen.razor" />
	</ItemGroup>

	<ItemGroup>
		<None Update="Ressourcen\arial.ttf">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Ressourcen\sRGB_IEC61966-2-1_no_black_scaling.icc">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
	</ItemGroup>
	<ItemGroup>
		<None Update="wwwroot\assets\dokumente\*.*">
			<CopyToOutputDirectory>Never</CopyToOutputDirectory>
		</None>
	</ItemGroup>
	<ItemGroup>
		<Content Update="C:\Users\scholz\.nuget\packages\chartjs.blazor.fork\2.0.2\contentFiles\any\netstandard2.1\wwwroot\ChartJsBlazorInterop.js">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="wwwroot\css\toastr.min.css">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="wwwroot\js\bootstrap.bundle.min.js">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="wwwroot\js\Chart.min.js">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="wwwroot\js\scripts-old.js">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="wwwroot\js\sweetalert2.all.min.js">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="wwwroot\js\toastr.js.map">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="wwwroot\js\toastr.min.js">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
	</ItemGroup>
	<ProjectExtensions>
		<VisualStudio>
			<UserProperties />
		</VisualStudio>
	</ProjectExtensions>
	<ItemGroup>
	  <UpToDateCheckInput Remove="Pages\Tools\ChargeUmbuchen.razor" />
	</ItemGroup>
	<ItemGroup>
	  <_ContentIncludedByDefault Remove="Pages\Tools\ChargeUmbuchen.razor" />
	</ItemGroup>

</Project>
